(function (Form){


Form.editors.Number = Form.editors.Number.extend({
    initialize: function(options) {
    Form.editors.Text.prototype.initialize.call(this, options);

    var schema = this.schema;

    this.$el.attr('type', 'number');

    if (!schema || !schema.editorAttrs || !schema.editorAttrs.step) {
      // provide a default for `step` attr,
      // but don't overwrite if already specified
      this.$el.attr('step', 'any');
    }
  }
});

Form.editors.ColorEditor = Form.editors.Text.extend({
  initialize: function(options) {
    Form.editors.Text.prototype.initialize.call(this, options);

    var schema = this.schema;

    this.$el.attr('type', 'color');
  }
});


Form.editors.ColorSchemeEditor = Form.editors.Text.extend({
  initialize: function(options) {
    Form.editors.Text.prototype.initialize.call(this, options);

    var schema = this.schema;

    this.$el.attr('type', 'hidden');

  },
  render: function() {
    var btnAdd = jQuery("<button>+</button>");
    btnAdd.click(function(){alert("cucu")});
    this.$el.parent().append(btnAdd);
    this.setValue(this.value);
    return this;
  }
});




})(Backbone.Form);